import { Product } from "../../models/product";
import { DevingenApi } from "../../api/devingen-api";
import { ApiError } from "@dvn/core/api";
import { ProductSettingsTaban } from "../../models/product-settings-taban";
export declare class DevingenProductRootTaban {
  error: ApiError;
  productSettings: ProductSettingsTaban;
  showSettingsForm: boolean;
  apiDevingen: DevingenApi;
  product: Product;
  componentWillLoad(): void;
  fetchProductSettings(): void;
  render(): any;
}
